-- 1. feladat:
CREATE DATABASE TorpeTarna DEFAULT CHARACTER SET utf8 COLLATE utf8_hungarian_ci

-- 3. feladat:
ALTER TABLE `tarnak` ADD INDEX( `kozet_id`);


-- 4. feladat:
SELECT torpek.nev,torpek.magassag FROM torpek ORDER BY torpek.magassag DESC LIMIT 1

-- 5. feladat:
SELECT COUNT(kihol.torpe_id) AS "Gir Lodur aranybnyiban dolgozk szma"
FROM tarnak INNER JOIN kihol ON tarnak.id=kihol.tarna_id
WHERE tarnak.nev="Gir Lodur"

-- 6. feladat:
SELECT tarnak.nev,SUM(kihol.kitermelt_mennyiseg) AS "kitermelt mennyisg"
FROM tarnak INNER JOIN kihol ON tarnak.id=kihol.tarna_id
INNER JOIN kozetek ON kozetek.id=tarnak.kozet_id
WHERE kozetek.nev="Arany"
GROUP BY tarnak.nev
ORDER BY SUM(kihol.kitermelt_mennyiseg) DESC

-- 7. feladat:
SELECT torpek.nev
FROM torpek INNER JOIN kihol ON torpek.id=kihol.torpe_id
WHERE torpek.klan="Vaskl" AND torpek.nem="N"
GROUP BY torpek.nev
ORDER BY SUM(kihol.kitermelt_mennyiseg) DESC
LIMIT 1

-- 8. feladat:
INSERT INTO `torpek` (`id`, `nev`, `klan`, `nem`, `suly`, `magassag`) VALUES (NULL, 'Trad Morf', 'Vaskl', 'F', '69', '136');

-- 9. feladat:
INSERT INTO `kihol` (`torpe_id`, `tarna_id`, `kitermelt_mennyiseg`) VALUES (31, 1, 43),(31, 3, 28) 